Index: src/Fl_Browser_.cxx
===================================================================
--- src/Fl_Browser_.cxx	(Revision 10136)
+++ src/Fl_Browser_.cxx	(Arbeitskopie)
@@ -707,6 +707,34 @@
   // must do shortcuts first or the scrollbar will get them...
   if (event == FL_ENTER || event == FL_LEAVE) return 1;
   if (event == FL_KEYBOARD && type() >= FL_HOLD_BROWSER) {
+    // Copy?
+    if ((Fl::event_state()&(FL_CTRL|FL_COMMAND)) && Fl::event_key()=='c') {
+      char *copy = 0;
+      void *item=item_first();
+      size_t i = 1;
+      while (item) { // collect text of all selected items
+        if (item_selected(item_at(i))) {
+          const char *text = item_text(item_at(i));
+          if (text) {
+            if (!copy) {
+               copy=(char*)malloc(strlen(text)+2);
+               if (copy) *copy=0;
+            }
+            else copy=(char*)realloc(copy, strlen(copy)+strlen(text)+2);
+            if(!copy) break;
+            if(*copy) strcat(copy, "\n");
+            strcat(copy, text);
+          }
+        }
+        i++;
+        item=item_next(item);
+      }
+      if (!copy) return 1;
+      if (*copy) Fl::copy(copy, (int) strlen(copy), 1);
+      free((void*)copy);
+      return 1;
+    }
+
     void* l1 = selection_;
     void* l = l1; if (!l) l = top_; if (!l) l = item_first();
     if (l) {
